Package com.io7m.smfj.parser.api

## Class SMFParserEventsBodyIgnoringReceiver

- java.lang.Object
- - com.io7m.smfj.parser.api.SMFParserEventsBodyIgnoringReceiver

- All Implemented Interfaces:
    `SMFParserEventsBodyType`, `SMFParserEventsDataMetaOptionalSupplierType`, `SMFParserEventsErrorType`

      public final class SMFParserEventsBodyIgnoringReceiver
      extends java.lang.Object
      implements SMFParserEventsBodyType

  A convenient implementation of the `SMFParserEventsBodyType` interface that delegates warnings and errors but ignores data.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SMFParserEventsBodyIgnoringReceiver​(SMFParserEventsErrorType in_receiver)` | Construct a receiver.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Optional<SMFParserEventsDataAttributesNonInterleavedType>` | `onAttributesNonInterleaved()` |
    `void` | `onError​(SMFErrorType e)` | An error has occurred.
    `java.util.Optional<SMFParserEventsDataMetaType>` | `onMeta​(SMFSchemaIdentifier schema)` |
    `java.util.Optional<SMFParserEventsDataTrianglesType>` | `onTriangles()` |
    `void` | `onWarning​(SMFWarningType w)` | An error has occurred of a severity low enough that it should just be considered a warning.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SMFParserEventsBodyIgnoringReceiver

          public SMFParserEventsBodyIgnoringReceiver​(SMFParserEventsErrorType in_receiver)

      Construct a receiver.
      Parameters:
        `in_receiver` - The error/warning receiver

  - ### Method Detail

    - #### onWarning

          public void onWarning​(SMFWarningType w)

      Description copied from interface: `SMFParserEventsErrorType`
      An error has occurred of a severity low enough that it should just be considered a warning.
      Specified by:
        `onWarning` in interface `SMFParserEventsErrorType`
      Parameters:
        `w` - The warning

    - #### onError

          public void onError​(SMFErrorType e)

      Description copied from interface: `SMFParserEventsErrorType`
      An error has occurred. Parsing will continue but the file as a whole must be considered invalid.
      Specified by:
        `onError` in interface `SMFParserEventsErrorType`
      Parameters:
        `e` - The error

    - #### onAttributesNonInterleaved

          public java.util.Optional<SMFParserEventsDataAttributesNonInterleavedType> onAttributesNonInterleaved()

      Specified by:
        `onAttributesNonInterleaved` in interface `SMFParserEventsBodyType`
      Returns:
        A listener that will receive non-interleaved mesh data

    - #### onTriangles

          public java.util.Optional<SMFParserEventsDataTrianglesType> onTriangles()

      Specified by:
        `onTriangles` in interface `SMFParserEventsBodyType`
      Returns:
        A listener that will receive triangle data

    - #### onMeta

          public java.util.Optional<SMFParserEventsDataMetaType> onMeta​(SMFSchemaIdentifier schema)

      Specified by:
        `onMeta` in interface `SMFParserEventsDataMetaOptionalSupplierType`
      Parameters:
        `schema` - The schema ID
      Returns:
        A listener that will receive metadata